/*
 *   kghostview: KDE PostScript viewer
 *   This file: Copyright (C) 2000 Wilco Greven, greven@kde.org
 *   Uses ideas from ealier dialog code by Mark Donohoe and Tim Theisen
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef _PRINT_DIALOG_H_
#define _PRINT_DIALOG_H_

#include <kdialogbase.h>

#include "printdialogbody.h"

class PrintDialog : public KDialogBase
{
    Q_OBJECT

public:
    enum PageMode { All, Current, Marked, Range };
	
    PrintDialog( QWidget* parent, const char* name, const QString& caption, 
		 int maxPages, bool marked );

    bool printToFile() const;
    QString saveURL() const;
    PageMode pageMode() const;
    int from() const;
    int to() const;
    bool reverseOrder() const;
    unsigned int copies() const;

public slots:
    void slotUser1Clicked();

private:
    PrintDialogBody* _body;
};

#endif
